Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry
Interface Boundary

All Superinterfaces:
  Complex, Geometry, TransfiniteSet

All Known Subinterfaces:
  ComplexBoundary, CurveBoundary, PrimitiveBoundary, SolidBoundary, SurfaceBoundary

    @UML(identifier="GM_Boundary",
         specification=ISO_19107)
    public interface Boundary

extends Complex

The abstract root data type for all the data types used to represent the boundary of geometric objects. Any subclass of `Geometry` will use a subclass of `Boundary` to represent its boundary through the operation `Geometry.getBoundary()`. By the nature of geometry, boundary objects are cycles.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`boolean` | `isCycle()` Always returns `true` since boundary objects are cycles.

Methods inherited from interface Complex
`getElements, getSubComplexes, getSuperComplexes, isMaximal`

Methods inherited from interface Geometry
`clone, distance, getBoundary, getBuffer, getCentroid, getClosure, getConvexHull, getCoordinateDimension, getCoordinateReferenceSystem, getDimension, getDistance, getEnvelope, getMaximalComplex, getMbRegion, getPrecision, getRepresentativePoint, isMutable, isSimple, toImmutable, transform, transform`

Methods inherited from interface TransfiniteSet
`contains, contains, difference, equals, intersection, intersects, symmetricDifference, union`

Method Detail

### isCycle

    boolean isCycle()

  Always returns `true` since boundary objects are cycles.

  Specified by:
    `isCycle` in interface `Geometry`
  Returns:
    Always `true`.
  See Also:
    `Geometry.isSimple()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.